Разработчики WordPress выпустили плагин для тестирования автоматических фоновых обновлений

На выходных разработчики WordPress Эндрю Нейсин и Дион Халс выпустили официальный WordPress.org-плагин, который позволяет пользователям проверить совместимость их сайтов с возможностью фоновых обновлений, введенных в WordPress 3.7.

Background Update Tester – официальный плагин, тесно связанный с WordPress.org. Он создан для диагностирования проблем, которые могут привести к краху автоматического обновления WordPress. После установки плагина в панели администратора появится новый пункт Update Tester. Плагин выполняет тестирование и выводит на экран его результаты.

Ниже приведен пример плагина в действии для сайта, на котором попытка фоновых обновлений вызвала ошибку:

fail_background_tester

Плагин выполняет тестирование, которое помогает ответить на следующие вопросы:

  • Может ли ваш сайт безопасно взаимодействовать с WordPress.org?
  • Имеются ли у вас системы контроля версий?
  • Требуются ли для вашего сайта учетные данные FTP, чтобы выполнить обновление?
  • Являются ли ваши файлы перезаписываемыми?

Пользователь, не имеющий должных технических навыков, никогда бы не смог ответить на данные вопросы без помощи этого плагина. Как вы можете видеть в примере выше, тестирование показало, что WordPress не может редактировать файлы в папке wp-admin, после чего идет список этих файлов. Разработчик легко сможет исправить такую проблему. Если пользователь слабо подкован в техническом плане, он может передать результаты тестирования своему хосту, чтобы тот помог справиться с проблемой.

Если вы столкнулись с проблемами, пытаясь установить фоновые обновления, то этот плагин – ключ к поиску несовместимостей на вашем сайте.

К счастью, большинству пользователей не понадобится этот плагин, поскольку преобладающая масса сайтов не имеет проблем с совместимостью. Если вы хотите подключить для себя автоматические обновления, но до сих пор сталкивались с проблемами, установите плагин Background Update Tester  для поиска и устранения всех пробелов.

Источник: wptavern.com

Понравилась статья? Поделиться с друзьями:
Комментарии: 3
  1. elimS

    Спасибо. Полезный плагин, добавляю в свою коллекцию, в будущем может пригодиться. Стоит, правда, упомянуть что для wordpress работающих в режиме мультиблога этот плагин устанавливается не так как обычные плагины.

    Сначала его инсталлируем (я это делаю через поиск на страничке “плагины”), потом активируем для всей сети (именно для всей сети) и на страничке управления сетью переходим в пункт левого меню “обновления”, там будет пункт “Update Tester”.

    Для обычных плагинов на страничке управления сетью не появляется менюшка для доступа к функционалу плагина. Это менюшка появляется лишь непосредственно в админках блогов сети.

  2. Волшебник

    В общем вышел WP 3.7.1 но почему-то с 3.7 он у меня не автообновился, как гордо обещали девелоперы, о чем я увидел сегодня в админке предложение обновиться. Перед тем, как обновляться, я подумал, может хостинг не поддерживает автообновление и установил этот плагин чтобы потестить. Он выдал, что всё ок, автообновление возможно. Но почему же тогда не автообновился?

    Обновил вручную до 3.7.1 и снова запустил этот плагин, он опять выдал, что всё ок, так почему не обновился непонятно. В описании обновления сказано “Allow some sites running on old or poorly configured servers to continue to check for updates from WordPress.org.”, надеюсь это обновление пофиксит то, что ничего не обновилось. А у вас как? Само обновилось или тоже что у меня?

    1. Дмитрий (автор)

      Аналогично, висит сообщение о том, что вышла версия 3.7.1, но никакого автообновления не произошло, хотя для минорных версий должно происходить.

Добавить комментарий для Волшебник Отменить ответ

Получать новые комментарии по электронной почте. Вы можете подписаться без комментирования.